2025-08-19  Mert Gör  <hwpplayer1@masscollabs>

	* c-basic/CSD-C-Basic-Book/C.pdf: page 19 Nesnelerin İçerisindeki Değerlerin printf Fonksiyonuyla Yazdırılması

	* c-basic/main.c (main) : I am foo example written
	
	* c-basic/main.c (main): starting again

2025-08-13  Mert Gör  <hwpplayer1@masscollabs>

	* c-basic/CSD-C-Basic-Book/C.pdf: Kitap yeniden ele alınmakta CSD dalı sayfa 4 Sayı Sistemleri

2025-07-04  Mert Gör  <hwpplayer1@masscollabs>

	* c-basic/CSD-C-Basic-Book/C.pdf: Kitabı incelemeye başladım. En kısa sürede tüm kurslar tekrar gözden geçirilecek.

2025-06-18  Mert Gör  <hwpplayer1@masscollabs>

	* c-basic/CSD-C-Basic-Book/C.pdf: printf fonksiyonundaki format karakterleri scanf fonksiyonunda klavyeden girişi belirlemektedir. Yani örneğin biz
pir int değeri printf ile %x kullanarak yazdırırsak bu değer 16'lık sistemde ekrana yazdırılır. Fakat bir int değeri
scanf ile %x ile okumak istersek klavyeden yaptığımız girişin 16'lık sistemde olduğu kabul edilir. Örneğin:
#include <stdio.h>
main()
{
int a, b;
printf("Bir sayi giriniz : ");
scanf("%x", &a);
printf("a = %d\n", a);
}

2025-06-17  Mert Gör  <hwpplayer1@masscollabs>

	* c-basic/CSD-C-Basic-Book/C.pdf: scanf ile 2 sayı girilmesi sayfa 20,21

2025-06-16  hwpplayer1  <hwpplayer1@masscollabs>

	* c-basic/CSD-C-Basic-Book/C.pdf: Unix/Linux Sistemlerinde Derleme ve Bağlama İşlemi sayfa 11
	
	* c-basic/CSD-C-Basic-Book/C.pdf: C Temal kitabı baştan okunuyor. Sayı Sistemleri sayfa 4

2025-03-21  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/CSD-C-Basic-Book/C.pdf: printf fonksiyonunda hem float hem de double türleri %f ile yazdırılır. Ancak scanf fonksiyonunda float %f ile,
double %lf ile okunur. Örneğin: sayfa 21

2025-03-18  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/CSD-C-Basic-Book/C.pdf: sayfa 21 printf fonksiyonundaki format karakterleri scanf fonksiyonunda klavyeden girişi belirlemektedir. Yani örneğin biz
pir int değeri printf ile %x kullanarak yazdırırsak bu değer 16'lık sistemde ekrana yazdırılır. Fakat bir int değeri
scanf ile %x ile okumak istersek klavyeden yaptığımız girişin 16'lık sistemde olduğu kabul edilir. Örneğin:

2025-03-08  Mert Gör  <mertgor@masscollabs.xyz>

	* UNIX-Linux/Unix-Linux-SysProg.pdf: Hızlıca incelendi sayfa 126

	* SysProg/SysProg-2.pdf: Hızlıca incelendi 353. sayfa
	
	* SysProg/SysProg-2.pdf: Linux Çekirdeğine Temel Bakış sayfa 309
	
	* SysProg/SysProg-2.pdf: Paket Analiz Kütüphaneleri sayfa 284
	
	* SysProg/SysProg-2.pdf: HTML ve CSS Hakkında Kısa Bilgi sayfa 267
	
	* SysProg/SysProg-2.pdf: IP Ailesinin Uygulama Katmanına İlişkin Önemli Protokolleri sayfa 253
	
	* SysProg/SysProg-2.pdf: Çalıştırılabilen Dosya Formatları (Executable File Formats) sayfa 218
	
	* SysProg/SysProg-2.pdf: C ve C++’ta Multibyte ve Wide Karakter Kullanımı sayfa 184
	
	* SysProg/SysProg-2.pdf: Temel SQL Komutları sayfa 159
	
	* SysProg/SysProg-2.pdf: 3.9.3. CSD Dilinin Grameri	

	* SysProg/SysProg-2.pdf: 3.8.4. Örnek Bir Komut Satırı Hesap Makinesi sayfa 114

	* SysProg/SysProg-1.pdf: Hızlıca incelendi
	
	* SysProg/SysProg-1.pdf: Linux Sistemlerinde Aşağı Seviyeli Disk İşlemlerinin Yapılması sayfa 533

	* SysProg/SysProg-1.pdf: Kütüphanelerin Oluşturulması ve Kullanılması 492
	
	* SysProg/SysProg-1.pdf: Internet'in Kısa Tarihi sayfa 470
	
	* SysProg/SysProg-1.pdf: Algoritma Nedir? sayfa 359

2025-03-07  Mert Gör  <mertgor@masscollabs.xyz>

	* SysProg/SysProg-1.pdf: 2.4.3. mkdir ve rmdir Fonksiyonları sayfa 78

	* c-basic/CSD-C-Basic-Book/C.pdf: C Temel notu tamamlandı
	
	* c-basic/CSD-C-Basic-Book/C.pdf: Göstericiler (Pointers) sayfa 123

	* c-basic/CSD-C-Basic-Book/C.pdf: Sayıların printf Fonksiyonuyla Formatlanması sayfa 78

	* c-basic/CSD-C-Basic-Book/C.pdf: Fonksiyonların Geri Dönüş Değerleri (return value) sayfa 22 

2025-02-04  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/CSD-C-Basic-Book/C.pdf: 30. page sqrt example solved

2025-01-10  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/hello.c: hello world on GNU/Linux

	* c-basic/CSD-C-Basic-Book/C.pdf: Sayfa 12 

2025-01-07  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/CSD-C-Basic-Book/C.pdf: 2025 Youtube serisi Türkçe içerik başladı

	* c-basic/single_quote.c (main): İki tırnak karakterine ilişkin karakter sabiti '\”' ile belirtilir. Fakat tek tırnak içerisinde iki tırnak soruna yol açmaz.
Ancak iki tırnak içerisinde iki tırnak soruna yol açar. Örneğin: page 34

2025-01-06  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/CSD-C-Basic-Book/C.pdf: İki tırnak karakterine ilişkin karakter sabiti '\”' ile belirtilir. Fakat tek tırnak içerisinde iki tırnak soruna yol açmaz.
Ancak iki tırnak içerisinde iki tırnak soruna yol açar. Örneğin: page 34
	
	* c-basic/CSD-C-Basic-Book/C.pdf: Ters bölü karakterinin kendisi '\\' ile belirtilir. '\' ifadesi geçersizdir. Örneğin:
	#include <stdio.h>
	int main()
	{
		printf("c:\temp\a.dat\n");
		printf("c:\\temp\\a.dat\n");
		return 0;
	}

	* c-basic/tab.c: tab and new line example

	* c-basic/CSD-C-Basic-Book/C.pdf: Sabitler(Literals) page 31

	* c-basic/sin_cos_tan.c (main): other mathematical operations like sin cos asin acos tan atan functions

	* c-basic/log.c (main): page 30-31 log code

2025-01-03  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/pow.c (main): pow example written

2024-11-22  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: Page 30 pow example

	* c-basic/sqrt.c: Sqrt example written page 30

2024-11-10  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: Page 29(end of 29) and 30 Bazı matematiksel standart c fonksiyonları

	* c-basic/parameters_2.c (main): return a * b or return a + b 

2024-11-02  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/parameters.c: parameters example 1 

2024-11-01  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: Fonksiyonların Parametre Değişkenleri page 27

	* c-basic/global_local.c: global and local variable

	* c-basic/file_scope.c (foo): file scope example

2024-10-30  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: Global variable scope page 26

	* c-basic/scope.c (foo): same variable different scopes

	* c-basic/C.pdf: page 25,end of the page

	* c-basic/local_vs_global.c (main): local variable and global variable

	* c-basic/C.pdf: page 24 scope

	* c-basic/void.c (main): Void/Return

	* c-basic/return_example_001.c: return example 001

	* c-basic/return_not_reachable.c (main): reachable code and unreachable code return

2024-10-29  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: return value page 22

	* c-basic/abc.c: add a and b double numbers from scanf 

	* c-basic/C.pdf: page 21 question/work

	* c-basic/d-f.c: #include <stdio.h>

int main()
{
  float f;
  double d;

  printf("enter a float number: \n");
  scanf("%f", &f);

  printf("enter a double number: \n");
  scanf("%lf", &d);

  printf("f = %f, d = %f \n", f , d);

  return 0;

}

	

	* c-basic/hello.c (main): Hello World Example which is forgotten at start

	* c-basic/hex.c: Experımental Branch page 21

	#include <stdio.h>

	int main()
	{
		int a, b;

		printf("Enter a number: \n");
		scanf("%x", &a);
		printf("a = %d\n", a);

		return 0;
	}	


2024-10-23  Mert Gör  <hwpplayer1@debian>

	*  (cc1): Tüm dersler incelendi. Pratiğe dökülecek konular : GNU Emacs, Linux kernel, Assembly(80X86 ve arm)

2024-10-19  Mert Gör  <hwpplayer1@debian>

	* c-basic/C.pdf: 63. sayfa Büyük Harf Küçük Harf Dönüştürmesi Yapan Standart C Fonksiyonları 

2024-10-12  hwpplayer1  <hwpplayer1@debian>

	* c-basic/C.pdf: sayfa 52'de kaldık

2024-10-11  hwpplayer1  <hwpplayer1@debian>

	* c-basic/C.pdf: sayfa 29'a kadar geldik

2024-08-10  hwpplayer1  <hwpplayer1@debian>

	* c-basic/writing_value_with_printf_2.c (main): c değeri yazdrıldı

	* c-basic/klavyeden_okuma_scanf_2.c (main): scanf 2 sayfa 20/21

	* c-basic/klavyeden_okuma_scanf.c (main): scanf Fonksiyonuyla Klavyeden Okuma Yapılması sayfa 20

	* c-basic/C.pdf: Değişkenlere İlkdeğer Verilmesi (Initialization) sayfa 19
	* c-basic/C.pdf: Derleyicilerin Hata Mesajları
Derleyicilerin hata mesajları üçe ayrılmaktadır:
1. Uyarılar (Warnings): Uyarılar gerçek hatalar değildir. Program içerisindeki program yapmış olabileceği olası
mantık hatalarına dikkati çekmek için verilirler. Uyarılar derleme işleminin başarısızlığına yol açmazlar. Ancak
programcıların uyarılara çok dikkat etmesi gerekir. Çünkü pek çok uyarıda derleyici haklı bir yere dikkat
çekmektedir.
2. Gerçek Hatalar (Errors): Bunlar dilin sentaks ve semantik kurallarına uyulmaması yüzünden verilirler.
Bunların mutlaka düzeltilmesi gerekir. Bir programda bir tane bile “error” olsa program başarılı olarak derlenemez.
3. Ölümcül Hatalar (Fatal Errors): Dereleme işleminin bile devam etmesini engelleyen ciddi hatalardır. Normal
olarak bir programda ne kadar hata olursa olsun tüm kod gözden geçirilir. Tüm hatalar en sonında listelenir. Fakat
bir ölümcül hata oluştuğunda artık derleme işlemi sonlandırılır. Ölümcül hatalar genellikle sistemdeki ciddi
sorunlar yüzünden ortaya çıkmaktadır (örneğin diskte yeterli alan olmayabilir, ya da sistemde yeterli RAM
bulunmuyor olabilir.)
Verilen hata mesajlarının metinleri derleyiciden derleyiciye değişebilir. Ayrıca bir hata durumunda bir derleyici
buna birmesaj verirken diğeri daha fazla mesaj verebilir.


	* c-basic/C.pdf: Atom/Token kavramı sayfa 12

	* c-basic/C.pdf: sayfa 11 Bir C Programını Oluşturmak

	* c-basic/example.c (main): example örnek kod yazıldı .c uzantılı dosya içine kod yerleştirildi

	* c-basic/C.pdf: Dersler C Temel kursundan itibaren yeniden başlatıldı. 

2024-07-26  hwpplayer1  <hwpplayer1@debian>

	* c-basic/C.pdf: Fonksiyonların Parametre Değişkenleri page 27

	* c-basic/global_variable_2.c (main): global variable and local variable example

2024-07-17  hwpplayer1  <hwpplayer1@debian>

	* c-basic/C.pdf: Global Değişkenlerin Faaliyet Alanı sayfa 26

2024-07-16  hwpplayer1  <hwpplayer1@debian>

	* c-basic/C.pdf: Yerel Değişkenlerin Faaliyet Alanları  sayfa 25 

	* c-basic/C.pdf: Değişkenlerin Faaliyet Alanları (Scope) sayfa 24

2024-06-30  hwpplayer1  <hwpplayer1@debian>

	* c-basic/C.pdf: sayfa 22 Fonksiyonların Geri Dönüş Değerleri (return value)

	* c-basic/float_double.c: float double example

	* c-basic/hex_scanf.c: hex scanf example

	* c-basic/scanf_2.c: scanf two numbers

	* c-basic/scanf.c: Scanf example

	* c-basic/printf.c: printf example

	* c-basic/foo.c: Foo example

	* c-basic/helloworld.c: hello world example

2024-02-19  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: Fonksiyonların Parametre Değişkenleri sayfa 27'deyiz

	* c-basic/global.variable.c: C'de  derleme  işleminin  bir  yönü  vardır.  Bu  yön  yukarıdan  aşağıya  doğrudur.  Derleyicinin  önce  değişkenin 
bildirimini görmesi gerekir. Bu nedenle bir global değişkeni aşağıda bildirip daha yukarıda kullanamayız. 

	* c-basic/local.variable.c: Bir global değişkenle aynı isimli yerel değişkenler tanımlanabilir. Çünkü bunlar farklı faaliyet alanlarına sahiptir. 
Tabi  ilgili  blokta  bu  değişken  ismi  kullanıldığında  dar  faaliyet  alanaına  sahip  olana  (yani  yerel  olana)  erişilir. 


	* c-basic/global.variable.scope.c: Bildirimleri fonksiyonların dışında yapılan değişkenlere global değişkenler denir. Global değişkenler dosya faaliyet 
alanına (file scope) sahiptir. Yani tüm fonksiyonlarda tanınırlar. 

	* c-basic/scope.example.c: C'de bir blokta bir'den fazla değişken faaliyet gösteriyorsa o blokta o değişken ismi kullanıldığında dar faaliyet 
alanına sahip olan değişkene erişilir. 

	* c-basic/global-local-variables.c: global and local variable scopes exmplained

	* c-basic/void.function.c: void fonksiyonlarda return kullanılmamışsa fonksiyon ana blok sonlanınca sonlanır. 

	* c-basic/return.2.c: return 0;    /* bu olmasaydı da aynı anlam oluşacaktı */ 

	* c-basic/return.c: return explained

	* c-basic/abc-double.c: İsmi a, b, c olan double türden 3 değişken tanımlayınız. Sonra a ve b için klavyeden scaf fonksiyonuyla okuma 
yapınız. Bu ikisinin toplamını c'ye atayınız ve c'yi yazdırınız.

	* c-basic/float-and-double.c: printf fonksiyonunda hem float hem de double türleri %f ile yazdırılır. Ancak scanf fonksiyonunda float %f ile, 
double %lf ile okunur. 

	* c-basic/scanf-example.hex.c: scanf ile %x ile okumak istersek klavyeden yaptığımız girişin 16'lık sistemde olduğu kabul edilir. 

	* c-basic/scanf-example.2.c: scanf example 2

	* c-basic/scanf-example.c: scanf example explained

	* c-basic/printf-examples.c: printf examples explained

	* c-basic/foo.c: Foo example : C'de iç içe fonksiyon tanımlanamaz. Her fonksiyon diğerinin dışında tanımlanmak zorundadır. 

	* c-basic/hello.c: hello world example

2024-02-14  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/C.pdf: CSD Derneği C temel notu tekrar C-Basic klasörüne eklendi ancak hwpplayer1 dalı için eklendi. Örnekler özgün olarak yeniden yazılacak.

2024-02-04  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/global-variable-scope.c (foo): global variable and local variable explained with two different a variable value 

2024-02-03  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/local-variable-global-variable_scope.c (main): local and global variable values are printed

2024-02-02  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/local-variable-scope.c: local variable and global variable explained 

2024-02-01  Mert Gör  <mertgor@masscollabs.xyz>

	* c-basic/scope.c: scope and variables explained

	* c-basic/scanf-hex.c: Scanf accepts the int variable as hex if we pass %x 

	* c-basic/scanf-float-double.c: Scanf reads float as %f and double %lf

	* c-basic/scanf-example.c: gettıng input source via scancf 

	* c-basic/scanf-example-two-variables.c: scanf example with two variables

	* c-basic/scanf-a-b-c-double.c: set a,b,c double variables, read a and b with scanf function and then pass addition of a and b to c variable and print c variable

	* c-basic/print_variables.c: print variables with different ways

	* c-basic/on-return.c: explaining return value

	* c-basic/on-return.2.c: explaining return value : "without return same result exists"

	* c-basic/on-return-void.c: if we pass void then it means function has no return value, and those functions are void functions

	* c-basic/initialization-variable.c: Swap Algorithm with initialized variables example

	* c-basic/helloworld.c: hello world example added

	* c-basic/foo.c: foo example added

